#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Libs for messages
Name:           messagelib
Epoch:          2
Version: 23.04.1
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf5-rpm-macros
# Support for the GIT revision number in messagecomposer-version.h
BuildRequires:  git
BuildRequires:  gpgme-devel >= 1.7.1
BuildRequires:  pkgconfig(qca2-qt5)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5SyntaxHighlighting)

BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5Mime)
BuildRequires:  cmake(KPim5AkonadiMime)
BuildRequires:  cmake(KPim5Libkdepim)
BuildRequires:  cmake(KPim5Ldap)
BuildRequires:  cmake(KPim5TextEdit)
BuildRequires:  cmake(KPim5MailTransportAkonadi)
BuildRequires:  cmake(KPim5IdentityManagement)
BuildRequires:  cmake(KPim5AkonadiSearch)
BuildRequires:  cmake(KPim5AkonadiNotes)
BuildRequires:  cmake(KPim5GrantleeTheme)
BuildRequires:  cmake(KPim5Gravatar) >= 5.23.1
BuildRequires:  cmake(KPim5Libkleo)
BuildRequires:  cmake(KPim5Mbox)

Requires:       qca-qt5


%description
Libs for messages.

%files -f %name.lang
%_kf5_datadir/messageviewer
%_kf5_datadir/libmessageviewer
%_kf5_datadir/org.kde.syntax-highlighting/syntax/kmail-template.xml
%_kf5_categoriesdir/messagelib.categories
%_kf5_categoriesdir/messagelib.renamecategories
%_kf5_datadir/knsrcfiles/messageviewer_header_themes.knsrc
%_kf5_datadir/config.kcfg/customtemplates_kfg.kcfg
%_kf5_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_kf5_knotificationsdir/messageviewer.notifyrc
%_kf5_datadir/messagelist
%_qt5_plugindir/pim5/messageviewer/grantlee/5.0/messageviewer_grantlee_extension.so
%_qt5_plugindir/pim5/messageviewer/headerstyle/messageviewer_defaultgrantleeheaderstyleplugin.so

#--------------------------------------------------------------------

%define kpim5messagecomposer_major 5
%define libkpim5messagecomposer %mklibname kpim5messagecomposer %{kpim5messagecomposer_major}

%package -n %libkpim5messagecomposer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5messagecomposer
Libs for messages.

%files -n %libkpim5messagecomposer
%_kf5_libdir/libKPim5MessageComposer.so.%{kpim5messagecomposer_major}{,.*}

#--------------------------------------------------------------------

%define kpim5messagecore_major 5
%define libkpim5messagecore %mklibname kpim5messagecore %{kpim5messagecore_major}

%package -n %libkpim5messagecore
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5messagecore
Libs for messages.

%files -n %libkpim5messagecore
%_kf5_libdir/libKPim5MessageCore.so.%{kpim5messagecore_major}{,.*}

#--------------------------------------------------------------------

%define kpim5messagelist_major 5
%define libkpim5messagelist %mklibname kpim5messagelist %{kpim5messagelist_major}

%package -n %libkpim5messagelist
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5messagelist
Libs for messages.

%files -n %libkpim5messagelist
%_kf5_libdir/libKPim5MessageList.so.%{kpim5messagelist_major}{,.*}

#--------------------------------------------------------------------

%define kpim5messageviewer_major 5
%define libkpim5messageviewer %mklibname kpim5messageviewer %{kpim5messageviewer_major}

%package -n %libkpim5messageviewer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5messageviewer
Libs for messages.

%files -n %libkpim5messageviewer
%_kf5_libdir/libKPim5MessageViewer.so.%{kpim5messageviewer_major}{,.*}

#--------------------------------------------------------------------

%define kpim5templateparser_major 5
%define libkpim5templateparser %mklibname kpim5templateparser %{kpim5templateparser_major}

%package -n %libkpim5templateparser
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5templateparser
Libs for messages.

%files -n %libkpim5templateparser
%_kf5_libdir/libKPim5TemplateParser.so.%{kpim5templateparser_major}{,.*}

#--------------------------------------------------------------------

%define kpim5mimetreeparser_major 5
%define libkpim5mimetreeparser %mklibname kpim5mimetreeparser %{kpim5mimetreeparser_major}

%package -n %libkpim5mimetreeparser
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5mimetreeparser
Libs for messages.

%files -n %libkpim5mimetreeparser
%_kf5_libdir/libKPim5MimeTreeParser.so.%{kpim5mimetreeparser_major}{,.*}

#--------------------------------------------------------------------

%define kpim5webengineviewer_major 5
%define libkpim5webengineviewer %mklibname kpim5webengineviewer %{kpim5webengineviewer_major}

%package -n %libkpim5webengineviewer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpim5webengineviewer
Libs for messages.

%files -n %libkpim5webengineviewer
%_kf5_libdir/libKPim5WebEngineViewer.so.%{kpim5webengineviewer_major}{,.*}

#--------------------------------------------------------------------

%define kf5messagelib_devel %mklibname kf5messagelib -d

%package -n %kf5messagelib_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpim5messagecomposer = %epoch:%version-%release
Requires:       %libkpim5messagecore = %epoch:%version-%release
Requires:       %libkpim5messagelist = %epoch:%version-%release
Requires:       %libkpim5messageviewer = %epoch:%version-%release
Requires:       %libkpim5templateparser = %epoch:%version-%release
Requires:       %libkpim5mimetreeparser = %epoch:%version-%release
Requires:       %libkpim5webengineviewer = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5messagelib_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5messagelib_devel
%_includedir/KPim5/MessageViewer/
%_includedir/KPim5/MessageComposer/
%_includedir/KPim5/MessageCore/
%_includedir/KPim5/MessageList/
%_includedir/KPim5/MimeTreeParser/
%_includedir/KPim5/TemplateParser/
%_includedir/KPim5/WebEngineViewer/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KPim5MessageViewer/
%_kf5_libdir/cmake/KPim5TemplateParser/
%_kf5_libdir/cmake/KPim5MessageComposer/
%_kf5_libdir/cmake/KPim5MessageCore/
%_kf5_libdir/cmake/KPim5MessageList/
%_kf5_libdir/cmake/KPim5MimeTreeParser/
%_kf5_libdir/cmake/KPim5WebEngineViewer/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959356
- New version 23.04.1

* Tue Mar 21 2023 daviddavid <daviddavid> 2:22.12.3-2.mga9
+ Revision: 1949928
- drop no more needed by the project KF5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946594
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941887
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923009
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911503
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905354
- New version 22.08.3

* Fri Sep 16 2022 neoclust <neoclust> 2:22.08.1-2.mga9
+ Revision: 1889190
- Rebuild with new openldap
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883168
- New version 22.08.0

* Tue Aug 02 2022 neoclust <neoclust> 2:22.04.3-3.mga9
+ Revision: 1874352
- Add an other patch to help building with latest cmake

* Tue Aug 02 2022 neoclust <neoclust> 2:22.04.3-2.mga9
+ Revision: 1874335
- Add patch to help to build with latest cmake

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873171
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854061
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852324
- New version 22.03.90

* Tue Apr 05 2022 wally <wally> 2:21.12.0-2.mga9
+ Revision: 1845089
- add upstream patch to fix build with GCC 12 (standard attributes in middle of decl-specifiers)
- rebuild for gpgme 1.17.1

* Fri Dec 31 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765646
- New version 21.12.0
- New version 21.11.90

* Sun May 16 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1725022
- New version 21.04.1

* Fri Apr 30 2021 daviddavid <daviddavid> 2:21.04.0-2.mga9
+ Revision: 1720535
- add upstream patch to fix CVE-2021-31855

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718445
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698652
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694179
- New version 20.12.2

* Mon Dec 14 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1657152
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644084
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633903
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627143
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1616978
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604208
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596945
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584594
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569560
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559412
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540911
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513387
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Tue Dec 17 2019 daviddavid <daviddavid> 2:19.12.0-2.mga8
+ Revision: 1468532
- enable Qca-qt5 support, Needed for dkim support

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467045
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457987
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447672
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425078
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390533
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387751
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-3.mga7
+ Revision: 1383377
- Qt5 Rebuild

* Fri Mar 15 2019 daviddavid <daviddavid> 2:18.12.3-2.mga7
+ Revision: 1377249
- rebuild for arm

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375757
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365656
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356593
- New version 18.12.1

* Fri Dec 21 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1343934
- New version 18.12.0

* Thu Nov 29 2018 daviddavid <daviddavid> 2:18.08.3-2.mga7
+ Revision: 1336618
- add upstream patch to fix CVE-2018-19516 (mga#23923)

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332828
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327481
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1299524
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229143
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201977
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194999
- New version 17.12.1

* Fri Jan 05 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1190553
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143133
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139090
- New version 17.07.90

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131335
- New version 17.04.3

* Sat Jun 24 2017 luigiwalser <luigiwalser> 2:16.12.3-2.mga6
+ Revision: 1108347
- add upstream patch to fix CVE-2017-9604

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090162
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076904
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-2.mga6
+ Revision: 1075350
- Fix conflicts to ease upgrade

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073946
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067415
- New version 16.08.3

* Thu Oct 20 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1062685
- New version 16.08.2

* Thu Sep 22 2016 neoclust <neoclust> 2:16.08.1-5.mga6
+ Revision: 1055254
- Obsolete libtemplateparser

* Wed Sep 21 2016 neoclust <neoclust> 2:16.08.1-4.mga6
+ Revision: 1054875
- Exclude armv5 as qtwebengine is not available for this arch

* Sun Sep 18 2016 neoclust <neoclust> 2:16.08.1-3.mga6
+ Revision: 1053744
- Rebuild for ARM

* Thu Sep 15 2016 daviddavid <daviddavid> 2:16.08.1-2.mga6
+ Revision: 1053131
- backport some upstream fixes, including crasher fix for kde#364994 (mga#19353)

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050741
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 2:16.08.0-2.mga6
+ Revision: 1048089
- Rebuild against fixed stack
- Add conflict against older kdepim-addons

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048068
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040144
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012634
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004422
- New version 16.04.0

* Mon Apr 18 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 1003371
- Add conflict to ease upgrade

* Sat Apr 02 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997564
- imported package messagelib

